> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcribe audio

> Submit an audio file for transcription.



## OpenAPI

````yaml post /v1/inference/audio/transcriptions
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.48.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/inference/audio/transcriptions:
    post:
      tags:
        - Inference
      summary: Transcribe audio
      description: Handles audio transcription requests.
      operationId: route_v1_audio_transcriptions_v1_inference_audio_transcriptions_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/TranscriptionFormRequest'
        required: true
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranscriptionResponse'
        '400':
          description: Malformed request body, or `model` missing.
          content:
            application/json:
              schema:
                oneOf:
                  - properties:
                      error:
                        properties:
                          message:
                            type: string
                          type:
                            type: string
                          code:
                            type: integer
                          param:
                            type: string
                            nullable: true
                        type: object
                        required:
                          - message
                    type: object
                    required:
                      - error
                    title: StructuredError
                  - properties:
                      error:
                        type: string
                    type: object
                    required:
                      - error
                    title: SimpleError
                title: ErrorResponse
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                oneOf:
                  - properties:
                      error:
                        properties:
                          message:
                            type: string
                          type:
                            type: string
                          code:
                            type: integer
                          param:
                            type: string
                            nullable: true
                        type: object
                        required:
                          - message
                    type: object
                    required:
                      - error
                    title: StructuredError
                  - properties:
                      error:
                        type: string
                    type: object
                    required:
                      - error
                    title: SimpleError
                title: ErrorResponse
        '403':
          description: >-
            The requested model is not a base model and is not deployed for your
            team.
          content:
            application/json:
              schema:
                oneOf:
                  - properties:
                      error:
                        properties:
                          message:
                            type: string
                          type:
                            type: string
                          code:
                            type: integer
                          param:
                            type: string
                            nullable: true
                        type: object
                        required:
                          - message
                    type: object
                    required:
                      - error
                    title: StructuredError
                  - properties:
                      error:
                        type: string
                    type: object
                    required:
                      - error
                    title: SimpleError
                title: ErrorResponse
        '422':
          description: Deployment not found, or the request is unprocessable.
          content:
            application/json:
              schema:
                oneOf:
                  - properties:
                      error:
                        properties:
                          message:
                            type: string
                          type:
                            type: string
                          code:
                            type: integer
                          param:
                            type: string
                            nullable: true
                        type: object
                        required:
                          - message
                    type: object
                    required:
                      - error
                    title: StructuredError
                  - properties:
                      error:
                        type: string
                    type: object
                    required:
                      - error
                    title: SimpleError
                title: ErrorResponse
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                oneOf:
                  - properties:
                      error:
                        properties:
                          message:
                            type: string
                          type:
                            type: string
                          code:
                            type: integer
                          param:
                            type: string
                            nullable: true
                        type: object
                        required:
                          - message
                    type: object
                    required:
                      - error
                    title: StructuredError
                  - properties:
                      error:
                        type: string
                    type: object
                    required:
                      - error
                    title: SimpleError
                title: ErrorResponse
        '502':
          description: Backend disconnected before sending a response.
          content:
            application/json:
              schema:
                oneOf:
                  - properties:
                      error:
                        properties:
                          message:
                            type: string
                          type:
                            type: string
                          code:
                            type: integer
                          param:
                            type: string
                            nullable: true
                        type: object
                        required:
                          - message
                    type: object
                    required:
                      - error
                    title: StructuredError
                  - properties:
                      error:
                        type: string
                    type: object
                    required:
                      - error
                    title: SimpleError
                title: ErrorResponse
        '503':
          description: No healthy backend available for the requested model.
          content:
            application/json:
              schema:
                oneOf:
                  - properties:
                      error:
                        properties:
                          message:
                            type: string
                          type:
                            type: string
                          code:
                            type: integer
                          param:
                            type: string
                            nullable: true
                        type: object
                        required:
                          - message
                    type: object
                    required:
                      - error
                    title: StructuredError
                  - properties:
                      error:
                        type: string
                    type: object
                    required:
                      - error
                    title: SimpleError
                title: ErrorResponse
components:
  schemas:
    TranscriptionFormRequest:
      type: object
      title: TranscriptionFormRequest
      properties:
        file:
          type: string
          format: binary
          description: The audio file to transcribe.
        model:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: ID of the model to use.
          title: Model
        language:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            The language of the input audio. Supplying the input language in
            ISO-639-1 format will improve accuracy and latency.
          title: Language
        hotwords:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Important words or phrases that the model should pay extra attention
            to during transcription.
          title: Hotwords
        prompt:
          default: ''
          description: >-
            An optional text to guide the model's style or continue a previous
            audio segment. Should match the audio language.
          title: Prompt
          type: string
        response_format:
          default: json
          description: >-
            The format of the output: `json`, `text`, `srt`, `verbose_json`, or
            `vtt`.
          enum:
            - json
            - text
            - srt
            - verbose_json
            - vtt
          title: Response Format
          type: string
        timestamp_granularities[]:
          default: []
          description: >-
            The timestamp granularities to populate. `response_format` must be
            `verbose_json`. Word timestamps incur additional latency.
          items:
            enum:
              - word
              - segment
            type: string
          title: Timestamp Granularities[]
          type: array
        stream:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: >-
            When set, output is streamed in a similar fashion to the chat
            completion endpoint.
          title: Stream
        to_language:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            The language of the output audio. Not currently used by supported
            models; a placeholder matching the translation API.
          title: To Language
        stream_include_usage:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Stream Include Usage
        stream_continuous_usage_stats:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          title: Stream Continuous Usage Stats
        vllm_xargs:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: integer
                  - type: number
                  - items:
                      anyOf:
                        - type: string
                        - type: integer
                        - type: number
                    type: array
              type: object
            - type: 'null'
          default: null
          description: >-
            Additional request parameters with (list of) string or numeric
            values, used by custom extensions.
          title: Vllm Xargs
        use_beam_search:
          default: false
          description: Whether beam search should be used.
          title: Use Beam Search
          type: boolean
        'n':
          default: 1
          description: The number of beams for beam search.
          title: 'N'
          type: integer
        length_penalty:
          default: 1
          description: Length penalty for beam search.
          title: Length Penalty
          type: number
        include_stop_str_in_output:
          default: false
          description: Whether to include stop strings in output text.
          title: Include Stop Str In Output
          type: boolean
        temperature:
          default: 0
          description: >-
            The sampling temperature, between 0 and 1. If set to 0, the model
            will automatically increase the temperature until certain thresholds
            are hit.
          title: Temperature
          type: number
        top_p:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Enables nucleus (top-p) sampling.
          title: Top P
        top_k:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Limits sampling to the k most probable tokens at each step.
          title: Top K
        min_p:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          description: Filters out tokens with probability lower than `min_p`.
          title: Min P
        seed:
          anyOf:
            - maximum: 9223372036854776000
              minimum: -9223372036854776000
              type: integer
            - type: 'null'
          default: null
          description: Sampling seed.
          title: Seed
        frequency_penalty:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Frequency Penalty
        repetition_penalty:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          title: Repetition Penalty
        presence_penalty:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Presence Penalty
        max_completion_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: The maximum number of tokens to generate.
          title: Max Completion Tokens
      required:
        - file
    TranscriptionResponse:
      additionalProperties: true
      properties:
        text:
          description: The transcribed text.
          title: Text
          type: string
        usage:
          $ref: '#/components/schemas/TranscriptionUsageAudio'
      required:
        - text
        - usage
      title: TranscriptionResponse
      type: object
    TranscriptionUsageAudio:
      additionalProperties: true
      properties:
        type:
          const: duration
          default: duration
          title: Type
          type: string
        seconds:
          title: Seconds
          type: integer
      required:
        - seconds
      title: TranscriptionUsageAudio
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.